#ifndef XmlColor_h
#define XmlColor_h

// $Id: XmlColor.h,v 1.1 2013/03/07 12:06:37 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

#include "Color.h"

#include <QDomDocument>
#include <QDomElement>
#include <QString>

//! some specific Xml definitions
namespace BASE
{
    namespace XML
    {
        static const QString COLOR_LIST( "Colors" );
        static const QString COLOR = "Color";
    }
}

//! xml implementation of the color object
class XmlColor: public BASE::Color
{

    public:

    //! copy constructor
    XmlColor( const BASE::Color& other ):
        BASE::Color( other )
    {}

    //! constructor from DOM
    XmlColor( const QDomElement& );

    //! create dom element
    QDomElement domElement( QDomDocument& parent ) const;

};

#endif
